exercises/os-and-networks/webapp/comment/models.py
from webapp.model import db
from datetime import datetime


class Comment(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    date_create = db.Column(db.DateTime, default=datetime.utcnow)
    date_update = db.Column(db.DateTime, default=datetime.utcnow, onupdate=datetime.utcnow)
    comment = db.Column(db.Text, nullable=False)
    picture_id = db.Column(db.Integer(), db.ForeignKey('picture.id', ondelete='CASCADE'), index=True)

    def comments_count(self):
        return Comment.query.filter(Comment.id == self.id).count()

    def __repr__(self):
        return '<Comments {} {}>'.format(self.user_id, self.comment)

exercises/os-and-networks/webapp/comment/forms.py
from flask_wtf import FlaskForm
from wtforms import SubmitField, StringField
from wtforms.validators import DataRequired


class CommentAddForm(FlaskForm):
    comment = StringField('Комментарий', validators=[DataRequired()], render_kw={"class": "form-control"})
    submit = SubmitField('Добавить', render_kw={"class": "btn btn-success"})

exercises/os-and-networks/webapp/comment/views.py
from flask import Blueprint, render_template, request, redirect, url_for, flash
from flask_login import current_user
from webapp.comment.forms import CommentAddForm
from webapp.comment.models import Comment
from webapp import db
from datetime import datetime

blueprint = Blueprint('comment', __name__, url_prefix='/comment')


@blueprint.route('/')
@blueprint.route('/<int:id_picture>', methods=['GET', 'POST'])
def comment_add(id_picture):
    title = 'Comment_add'
    if current_user.is_authenticated:
        comment_form = CommentAddForm()
        return render_template('comment/comment_add.html', id_picture=id_picture, title=title, form=comment_form)
    return redirect(url_for('user.login'))


@blueprint.route('/process_comment_add/')
@blueprint.route('/process_comment_add/<id_picture>', methods=['GET', 'POST'])
def process_comment_add(id_picture):
    form = CommentAddForm()
    if current_user.is_authenticated:
        picture_id = id_picture
        # comment = form.comment.data
        comment = 'Пока не работает ;)'
        new_comment = Comment(picture_id=picture_id, comment=comment)
        db.session.add(new_comment)
        db.session.commit()
        flash('Комментарий успешно добавлен.')
        return redirect(url_for('picture.pictures'))
    else:
        flash('Вы не авторизованы. Пожалуйста залогиньтесь.')
        return redirect(url_for('user.login'))

exercises/os-and-networks/webapp/templates/comment/comment_add.html
<!DOCTYPE html>
<html lang="en">
{% extends "base.html" %}
<head>
    <meta charset="UTF-8">
    <title>{{ title }}</title>
</head>
<body>
{% block content %}
        <div class="container">
            <form action="{{ url_for('comment.process_comment_add') }}" method="POST">
                <div class="form-group">
                    {{ form.comment.label }}
                    {{ form.comment() }}
<!--                        <label for="exampleFormControlTextarea1">Коментарий</label>-->
<!--                        <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"></textarea>-->
                </div>
                <a class="btn btn-success" href="{{ url_for('comment.process_comment_add') }}/{{ id_picture }}" role="button">Добавить</a>
<!--                {{ form.submit }}-->
            </form>
</div>
{% endblock %}
</body>
</html>